GNU bug report logs - #29057
26.0.60; sgml-mode should define completion-at-point-functions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Tom Tromey <tom@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 29057 <at> debbugs.gnu.org and Tom Tromey <tom@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29057 <at> debbugs.gnu.org:


Received: (at 29057) by debbugs.gnu.org; 15 Jun 2022 16:30:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 12:30:12 2022
Received: from localhost ([127.0.0.1]:39677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1VuG-0006nu-3I
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 12:30:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1VuD-0006mV-Nb
 for 29057 <at> debbugs.gnu.org; Wed, 15 Jun 2022 12:30:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mlF9IypuPx5QWnCZZMQ6MjzMIETUGP6iU5d6zoskKUs=; b=eMNwLtlZO6Ybfmr0oeAaAFGFqY
 Bfqgi/ETJ8/XguY6SyOvUGHLY5FnYyKmPMMwQYCjFymjAab9jkarg2p5JtV9dCwItTNsK3cAADAaM
 3nJXiuHnjXfcOGn5TVfThlHVMyUO+KDJdSSrVl1MOWEdL7CXzIqipjZM4yD2gOPAaJzc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1Vu3-0004eO-LA; Wed, 15 Jun 2022 18:30:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tom Tromey <tom@HIDDEN>
Subject: Re: bug#29057: 26.0.60; sgml-mode should define
 completion-at-point-functions
References: <87efplrgwh.fsf@HIDDEN> <87ee0rhkyh.fsf@HIDDEN>
X-Now-Playing: Miranda Dali's _Miranda Dali_: "St. G."
Date: Wed, 15 Jun 2022 18:29:57 +0200
In-Reply-To: <87ee0rhkyh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 18 May 2022 00:07:34 +0200")
Message-ID: <874k0lhou2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > for instance,
 so it would make sense to offer completion or > > <colg > > to > > <colgroup
 > > and also offer completion of hitting TAB inside a tag to complete to
 > attributes (which are also in th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29057
Cc: 29057 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> for instance, so it would make sense to offer completion or
>
> <colg
>
> to
>
> <colgroup
>
> and also offer completion of hitting TAB inside a tag to complete to
> attributes (which are also in that alist).
>
> But I wonder -- does this already exist?  It seems strange that nobody
> has added something like this already.  Anybody know?  I can't see
> anything in sgml-mode.el, but...

So I've now added this to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29057; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29057 <at> debbugs.gnu.org:


Received: (at 29057) by debbugs.gnu.org; 17 May 2022 22:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 18:07:47 2022
Received: from localhost ([127.0.0.1]:58244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr5M3-0002mR-CI
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 18:07:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nr5M0-0002m9-Uu
 for 29057 <at> debbugs.gnu.org; Tue, 17 May 2022 18:07:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=meDB7kc6ajr9YA9ANPjAwKkx1pSBgGfs82aT07HQXpI=; b=fNPnaFew5oXF2jz+JLHt08Xwjm
 k+idd7eOJB/TfXzaK7WP8dGHT+Gn1AUb554dPkKEMO39FzBEDqH8rtlewI61Zmr+N5HpT6g084pk5
 02lDnSMADmJUwSrR/WIiLydcBvYIxArUzWl8CEOF6eDQNwdX7HKSEmXpP2isfD5+5JyQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nr5Lr-0008Ei-EV; Wed, 18 May 2022 00:07:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tom Tromey <tom@HIDDEN>
Subject: Re: bug#29057: 26.0.60; sgml-mode should define
 completion-at-point-functions
References: <87efplrgwh.fsf@HIDDEN>
X-Now-Playing: Peakes's _Peripheral Figures_: "Fascination"
Date: Wed, 18 May 2022 00:07:34 +0200
In-Reply-To: <87efplrgwh.fsf@HIDDEN> (Tom Tromey's message of "Sun, 29 Oct
 2017 11:41:02 -0600")
Message-ID: <87ee0rhkyh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Tom Tromey <tom@HIDDEN> writes: > sgml-mode has a lot
 of data about tags and attributes, but it doesn't > provide a convenient way
 to do completion of them; only things like > sgml-tag and sgml-attributes.
 > > I think sgml-mode shou [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29057
Cc: 29057 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tom Tromey <tom@HIDDEN> writes:

> sgml-mode has a lot of data about tags and attributes, but it doesn't
> provide a convenient way to do completion of them; only things like
> sgml-tag and sgml-attributes.
>
> I think sgml-mode should set completion-at-point-functions to a function
> that can complete attributes without querying the user in the minibuffer.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think that's a good idea.  There's

(defvar html-tag-alist
[...]
    `(("a" ,name ,@link)
      ("area" t ,@shape ("coords") ("href") ("nohref" "nohref") ("alt")
       ("tabindex") ("accesskey") ("onfocus") ("onblur"))
      ("base" t ,@href)
      ("col" t ,@cellhalign ,@cellvalign ("span") ("width"))
      ("colgroup" \n ,@cellhalign ,@cellvalign ("span") ("width"))
      ("dir" ,@list)
      ("figcaption")

for instance, so it would make sense to offer completion or

<colg

to

<colgroup

and also offer completion of hitting TAB inside a tag to complete to
attributes (which are also in that alist).

But I wonder -- does this already exist?  It seems strange that nobody
has added something like this already.  Anybody know?  I can't see
anything in sgml-mode.el, but...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29057; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2017 17:43:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 13:43:25 2017
Received: from localhost ([127.0.0.1]:40836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8rcK-0001oO-MS
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 13:43:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tom@HIDDEN>) id 1e8rcJ-0001oA-F0
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 13:43:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1e8rcD-0006PI-1A
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 13:43:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_SPAM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38740)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tom@HIDDEN>) id 1e8rcC-0006PE-Tr
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 13:43:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59282)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1e8rcB-0001OX-6J
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 13:43:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1e8rc6-0006LD-3L
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 13:43:15 -0400
Received: from gproxy2-pub.mail.unifiedlayer.com ([69.89.18.3]:56013)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tom@HIDDEN>) id 1e8rc5-0006Kv-OH
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 13:43:10 -0400
Received: from CMOut01 (unknown [10.0.90.82])
 by gproxy2.mail.unifiedlayer.com (Postfix) with ESMTP id 5B21A1E0BDC
 for <bug-gnu-emacs@HIDDEN>; Sun, 29 Oct 2017 11:41:16 -0600 (MDT)
Received: from box522.bluehost.com ([74.220.219.122]) by CMOut01 with 
 id TVh61w00P2f2jeq01Vh9nZ; Sun, 29 Oct 2017 11:41:16 -0600
X-Authority-Analysis: v=2.2 cv=K4VSJ2eI c=1 sm=1 tr=0
 a=GsOEXm/OWkKvwdLVJsfwcA==:117 a=GsOEXm/OWkKvwdLVJsfwcA==:17
 a=02M-m0pO-4AA:10 a=l6HWnLmanNcTBWP2008A:9 a=zEBMgQ-ndm_hjpZK:21
 a=mC8n1jKeX7MuSOHm:21
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=tromey.com; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=yBP0NZ+1xm6+bL/O0vp9FKkSCFLnArRPODf6YFk5c7s=; b=CzV2fAvsslSOSNhQMIt0F1LQRj
 GPWK2LY3VzwFN75SEo+3U1AiZT3drF65hUtHCZ0Ms13Fs7DqovVJWcQ3e4R+oUD1FsvDIwHiGmqvE
 b9nIE0WU95t3iXiIivbTo35Z3;
Received: from 71-218-90-63.hlrn.qwest.net ([71.218.90.63]:34112 helo=bapiya)
 by box522.bluehost.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <tom@HIDDEN>)
 id 1e8ra6-004C1Q-Ok; Sun, 29 Oct 2017 11:41:06 -0600
From: Tom Tromey <tom@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.60; sgml-mode should define completion-at-point-functions
X-Attribution: Tom
Date: Sun, 29 Oct 2017 11:41:02 -0600
Message-ID: <87efplrgwh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - box522.bluehost.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - tromey.com
X-BWhitelist: no
X-Source-IP: 71.218.90.63
X-Exim-ID: 1e8ra6-004C1Q-Ok
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 71-218-90-63.hlrn.qwest.net (bapiya) [71.218.90.63]:34112
X-Source-Auth: tom+tromey.com
X-Email-Count: 2
X-Source-Cap: ZWx5bnJvYmk7ZWx5bnJvYmk7Ym94NTIyLmJsdWVob3N0LmNvbQ==
X-Local-Domain: yes
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)


sgml-mode has a lot of data about tags and attributes, but it doesn't
provide a convenient way to do completion of them; only things like
sgml-tag and sgml-attributes.

I think sgml-mode should set completion-at-point-functions to a function
that can complete attributes without querying the user in the minibuffer.

Tom


In GNU Emacs 26.0.60 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-10-07 built on bapiya
Repository revision: 0fa353b50476329531307905f23ed2b172a6e9fc
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 26 (Twenty Six)

Recent messages:
Auto-saving...done
Mark set
Sending...
Mark set [2 times]
Sending via mail...
Sending email 
Sending email done
Sending...done
C-x C-g is undefined
Scanning for dabbrevs...done

Configured using:
 'configure --prefix=/home/tromey/Emacs/install --with-modules
 --with-file-notification=inotify'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11
MODULES LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  flyspell-mode: t
  which-function-mode: t
  shell-dirtrack-mode: t
  erc-services-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-match-mode: t
  erc-netsplit-mode: t
  erc-hl-nicks-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  savehist-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill
  transient-mark-mode: t

Load-path shadows:
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /home/tromey/Emacs/install/share/emacs/26.0.60/lisp/play/bubbles

Features:
(company-tests company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
company cursor-sensor mhtml-mode css-mode eww js json sgml-mode
time-stamp autoconf autoconf-mode sh-script smie executable finder
lisp-mnt tcl dired-aux gud pcmpl-unix pcmpl-gnu whitespace descr-text
url-http url-gw url-auth texinfo gnus-fun calc calc-loaddefs calc-macs
vc-annotate shadow emacsbug cc-awk mode-local completion erc-replace
delsel rect cl-print debug cus-edit gdb-shell novice log-edit make-mode
org-bullets org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view image-mode org-bibtex bibtex org-bbdb org-w3m org-element
avl-tree generator org org-macro org-footnote org-pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint
ob-core ob-eval org-compat org-macs org-loaddefs jka-compr flow-fill
gnus-html url-queue help-fns radix-tree url-cache mm-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util supercite regi nnir shr-color shr svg xml dom browse-url
goto-addr find-file pulse etags xref project find-dired mail-hist ffap
copyright perl-mode vc-mtn vc-hg conf-mode tabify man dabbrev term/xterm
xterm bug-reference map cc-mode cc-fonts cc-guess cc-menus cc-cmds
smerge-mode log-view pcvs-util vc-bzr vc-src vc-sccs vc-svn vc-cvs
vc-rcs add-log vc-git diff-mode rust-mode misc mailalias sort smiley
gnus-cite mm-archive gnus-async gnus-bcklg mail-extr gnus-ml disp-table
misearch multi-isearch gnus-topic nndraft nnmh nnfolder utf-7
network-stream nsm starttls gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg nntp gnus-cache gnus-registry registry ebdb-gnus
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum
gnus-group gnus-undo smtpmail gnus-start gnus-cloud nnimap nnmail
mail-source tls gnutls utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win gnus nnheader elec-pair flyspell ispell diminish projectile
ibuf-macs grep compile ibuf-ext ibuffer ibuffer-loaddefs dash appt
diary-lib diary-loaddefs which-func imenu tramp tramp-compat
tramp-loaddefs trampver ucs-normalize shell parse-time minimap
autorevert filenotify cus-start cus-load status erc-services erc-list
erc-menu erc-join erc-ring erc-networks erc-pcomplete pcomplete
erc-track erc-match erc-netsplit erc-hl-nicks easy-mmode color
erc-button erc-fill erc-stamp wid-edit erc-goodies erc erc-backend
erc-compat thingatpt pp warnings advice vc-dir ewoc vc vc-dispatcher
cc-styles cc-align cc-engine cc-vars cc-defs ebdb-complete ebdb-message
sendmail message rmc puny dired dired-loaddefs format-spec rfc822 mml
mml-sec epa epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mail-utils gmm-utils mailheader ebdb-mua ebdb-com derived
edmacro kmacro crm mailabbrev ebdb-format qp ebdb cl-extra help-mode
eieio-opt speedbar sb-image ezimage dframe find-func eieio-base pcase
subr-x cal-menu calendar cal-loaddefs timezone ange-ftp comint
ansi-color ring server savehist finder-inf dwarf-mode-autoloads
gdb-shell-autoloads lisppaste-autoloads pydoc-info-autoloads info-look
info cl weblogger-autoloads package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 4163433 436624)
 (symbols 48 95876 9)
 (miscs 40 52447 22780)
 (strings 32 717121 49509)
 (string-bytes 1 22727568)
 (vectors 16 286296)
 (vector-slots 8 5060984 292719)
 (floats 8 590 1321)
 (intervals 56 563691 5939)
 (buffers 992 543))




Acknowledgement sent to Tom Tromey <tom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29057; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jun 2022 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.